Core - Bug # 16491

Status: Resolved Priority: Should have
Author: old_root old_root Category:

Created: 2006-08-25 Assigned To:

Updated: 2014-02-08 Due date:

TYPO3 Version: 4.4

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: CSV-Download of records impossible in HTTPS-Backend and Internet Explorer

Description

When trying to download a CSV-file of records in the backend IE throws an error message (file could not be transferres...page could
not be found) and no file is being downloaded. This only occurs in a completely HTTPS-secured backend.

This seems to be a more general problem as some extensions are sporting the same behaviour (questionaire-export etc.). Most

certainly an IE-bug, but it HAS to work anyways.

(issue imported from #M4097)

Associated revisions

Revision 8c699f8c - 2014-02-08 19:34 - Wouter Wolters

[BUGFIX] CSV-Download not working in IE and HTTPS backend

When using a HTTPS backend the download of CSV is not
working in Internet Explorer browser versions lower then 9.

Add the needed header to fix this problem.

Change-Id: lefa63fb37d57491fb73bfd504b6caed5b76c8cac
Resolves: #16491

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/20902

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision cead2556 - 2014-02-08 19:36 - Wouter Wolters

[BUGFIX] CSV-Download not working in IE and HTTPS backend

When using a HTTPS backend the download of CSV is not

working in Internet Explorer browser versions lower then 9.

Add the needed header to fix this problem.

Change-Id: lefa63fb37d57491fb73bfd504b6caed5b76c8cac

Resolves: #16491
Releases: 6.2, 6.1, 6.0,4.7,4.5
https://review.typo3.org/20902

Reviewed-on: https://review.typo3.org/20902

Reviewed-by: Markus Klein

Tested-by: Markus Klein

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

(cherry picked from commit 8c699f8c5b38ff11e2d517ee5¢c91dfdb1ab475e5)
Reviewed-on: https://review.typo3.orq/27476

Revision 33a058be - 2014-02-08 19:36 - Wouter Wolters

[BUGFIX] CSV-Download not working in IE and HTTPS backend

When using a HTTPS backend the download of CSV is not
working in Internet Explorer browser versions lower then 9.

Add the needed header to fix this problem.

Change-Id: lefa63fb37d57491fb73bfd504b6caed5b76c8cac
Resolves: #16491

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.0rg/20902

Reviewed-by: Markus Klein

Tested-by: Markus Klein

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

(cherry picked from commit 8c699f8c5b38ff11e2d517ee5¢c91dfdb1ab475e5)
Reviewed-on: https://review.typo3.orq/27477

Revision 84d2050d - 2014-02-08 19:51 - Christian Kuhn

[BUGFIX] CSV-Download not working in IE and HTTPS backend

When using a HTTPS backend the download of CSV is not
working in Internet Explorer browser versions lower then 9.

Add the needed header to fix this problem.

Change-Id: lefa63fb37d57491fb73bfd504b6caed5b76c8cac
Resolves: #16491

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/27480

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 44d7cfc2 - 2014-02-08 19:51 - Christian Kuhn

[BUGFIX] CSV-Download not working in IE and HTTPS backend

When using a HTTPS backend the download of CSV is not

working in Internet Explorer browser versions lower then 9.

Add the needed header to fix this problem.
Change-Id: lefa63fb37d57491fb73bfd504b6caed5b76c8cac
Resolves: #16491

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/27481

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2010-07-15 12:55 - Andrew Henson

This issue is still live in the latest version of TYPOS. It affects IE 6, 7 and 8. | have attached a patch which resolves it. | have tested it with IE8 in a
HTTPS secured backend.

Similar issues may lie elsewhere in TYPO3 where downloads are taking place.

#2 - 2010-07-15 13:03 - Chris topher

Hi Andrew,

thanks for your feedback and for the patch!

Please send it to Core List to get it integrated in the next releases.
Check out http://typo3.org/teams/core/core-mailinglist-rules

PS: Please use tabs to indent the lines.

#3 - 2013-05-02 09:57 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)

The issue is very old, does this issue exists in newer versions of TYPO3 CMS (4.5 or 6.1)?

#4 - 2013-05-18 21:24 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20902

#5 - 2013-05-19 11:50 - Philipp Gampe

This bug? http://support.microsoft.com/kb/323308/en-us

#6 - 2013-06-11 22:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20902

#7 - 2013-06-11 22:07 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20902

#8 - 2014-02-08 19:35 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27476

#9 - 2014-02-08 19:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27477

#10 - 2014-02-08 19:48 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27480

#11 - 2014-02-08 19:49 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27481

#12 - 2014-02-08 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:44d7cfc21499637606f1f52635953ffcd97d0e05.

Files

csv_fix.diff 799 Bytes 2010-07-15
